# $Revision: 1.7 $, $Date: 2004/01/18 00:21:00 $
Summary:	A set of scripts to send SMSes
Summary(pl):	Zestaw skryptw do wysyania SMSw
Name:		skrypty-sms
Version:	1.62
Release:	4
License:	non-commercial
Group:		Networking/Utilities
Source0:	http://sms.jfiok.org/pub/%{name}.tar.gz
# Source0-md5:	76acd4a51cc5be2e42131d95d5cf23e4
URL:		http://sms.jfiok.org/
Requires:	textutils
Requires:	wget
Requires:	grep
Requires:	nc
Requires:	sed
Requires:	smtpdaemon
BuildRequires:	perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a set of shell scripts that can be used for
sending SMS messages, forwarding mails to SMS, etc.

%description -l pl
Ten pakiet zawiera zestaw skryptw powoki, ktre mog by uyte do
wysyania komunikatw SMS, przekazywania poczty na SMS, etc.

%package bramka-www
Summary:	A script helpful to create a WWW->SMS gate
Summary(pl):	Skrypt uyteczny do stworzenia bramki WWW->SMS
Group:		Networking/Utilities
Requires:	%{name} = %{version}
Requires:	metamail

%description bramka-www
This script is meant as a backend for a WWW->SMS gate, should you need
to create such yourself.

%description bramka-www -l pl
Ten skrypt jest backendem dla bramki WWW->SMS, na wypadek potrzeby
stworzenia takowej.

%package dialog
Summary:	A console interface for sending SMSes
Summary(pl):	Konsolowy interfejs do wysyania SMSw
Group:		Networking/Utilities
Requires:	%{name} = %{version}
Requires:	dialog

%description dialog
The "sms-dialog" script uses the "dialog" command to create quite a
convenient (?) and functional interface for sending SMS messages.

%description dialog -l pl
Skrypt "sms-dialog" wykorzystuje polecenie "dialog" do stworzenia w
miar wygodnego (?) i funkcjonalnego interfejsu do wysyania SMSw.

%package nc
Summary:	A simple netcat replacement
Summary(pl):	Prosty zastpnik netcata
Group:		Networking/Utilities
Provides:	nc
Requires:	telnet

%description nc
This quite simple script replaces the netcat program -- its only
function is sending a given character stream (received from the
standard input) to a remote server with a given name and reading the
response sending it to the standard output.

%description nc -l pl
Ten w sumie prosty skrypt zastpuje program znany pod nazw netcat
(nc) -- jego jedyn funkcj jest wysyanie danego cigu znakw
(otrzymanego na standardowym wejciu) do zdalnego serwera o podanej
nazwie, oraz odczytanie odpowiedzi i przekazanie je na standardowe
wyjcie.

%package nopl
Summary:	A MIME decoder & Polish character remover for skrypty-sms
Summary(pl):	Dekoder MIME i usuwaczka polskich znakw dla skrypty-sms
Requires:	%{name} = %{version}
Requires:	metamail
Group:		Networking/Utilities

%description nopl
The "nopl" script decodes fragments of mail headers encoded in
Quoted-Printable or Base64. This means e.g. converting
=?ISO-8859-1?Q?=E4u=DFer?= to "uer". Additionally the script can
convert Polish characters into ASCII character (->o etc.) However, if
we aren't bothered by Polish letters it can be turned off.

%description nopl -l pl
Skrypt "nopl" odkodowuje wystpujce w nagwkach listu fragmenty
kodowane jako Quoted-Printable albo Base64 . Oznacza to np. zamian
=?ISO-8859-2?Q?pi=EA=E6?= na "pi". Dodatkowo skrypt moe zamienia
polskie znaki na znaki ascii (->a itp.), aczkolwiek jeeli polskie
literki nam nie przeszkadzaj, to mona to wyczy.

%prep
%setup -qn %{name}
perl -p -i -e 's#/usr/local#%{_prefix}#g' *
perl -p -i -e 's/CURRENT=.*/CURRENT=%{version}/' check-for-update.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/sms,%{_sysconfdir}}
install nopl bramka-common sms.* $RPM_BUILD_ROOT%{_datadir}/sms
install check-for-update.sh $RPM_BUILD_ROOT%{_bindir}/skrypty-sms-check-for-update
install sms-dialog nc bramka-{mail,www} powiadom $RPM_BUILD_ROOT%{_bindir}
install smsrc $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* CHANGELOG *.html
%config %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/skrypty*
%attr(755,root,root) %{_bindir}/bramka-mail
%attr(755,root,root) %{_bindir}/powiadom
%dir %{_datadir}/sms
%{_datadir}/sms/bramka-common
%{_datadir}/sms/sms*

%files bramka-www
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bramka-www

%files dialog
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sms-dialog

%files nc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nc

%files nopl
%defattr(644,root,root,755)
%{_datadir}/sms/nopl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: skrypty-sms.spec,v $
Revision 1.7  2004/01/18 00:21:00  domelu
- release 4 to rebuild with ac

Revision 1.6  2003/05/28 13:01:52  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/10/30 10:13:47  qboosh
- pl fix, release 3

Revision 1.3  2002/08/18 15:05:33  blues
- release 2 - license fix, new doc

Revision 1.2  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/16 17:36:52  saq
- new spec
- STBR
- somebody test it, I might have got some paths or dependencies wrong (and
don't have an smtpdaemon configured to check things out myself)
